Issue 122335 - [sidebar] remove item 'Task pane'
[sidebar] remove item 'Task pane'
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-05-17 23:18 UTC by Regina Henschel
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2013-05-17 23:18:50 UTC
With the new sidebar the 'task pane' no longer exists. But the item 'task pane' still exists in View menu in Impress and Writer. It is listed in the command list in the Customize dialog too. At least all visible reference to 'task pane' should be removed. Otherwise the user will be confused by a non working item.
Comment 1 Andre 2013-05-21 07:23:18 UTC
Yes, this is one of the last remaining tasks to do in the sidebar development.  Almost forgot about it.
Comment 2 Andre 2013-05-21 09:27:16 UTC
Confirmed.  Have to check bug 122057 if there are still situations that require the old task pane.
Comment 3 SVN Robot 2013-05-22 11:32:14 UTC
"af" committed SVN revision 1485158 into trunk:
i122335: Disabling the old task pane.
Comment 4 Andre 2013-05-22 11:34:04 UTC
I have removed the .uno:TaskPane from all relevant menubar.xml files and the registration of the task pane child window from sw, sc and sd.  The code for the task pane is still there.  Better remove it after 4.0.